//
// (C) 2013 Intel Corporation
//

#ifndef TBT_FW_UPDATE_LIB_H
#define TBT_FW_UPDATE_LIB_H

enum TBTDRV_STATUS
{
	TBTDRV_STATUS_OK,                                        
    TBTDRV_INVALID_PARAMETER_ERROR,   
    TBTDRV_INSUFFICIENT_RESOURCES_ERROR,
    TBTDRV_INTERNAL_ERROR,
    TBTDRV_DRIVER_LOAD_ERROR,
	TBTDRV_UNSUPPORTED,
	TBTDRV_HANDLE_NOT_FOUND,
	TBTDRV_OS_NOT_SUPPORTED,
	TBTDRV_UNKNOWN_ERROR,
    TBTDRV_STATUS_SIZE
};

TBTDRV_STATUS fw_update_check_driver_connection();

TBTDRV_STATUS fw_update_perform_update(unsigned int buffer_size, unsigned char *buffer);

#endif // TBT_FW_UPDATE_LIB_H


